%bcond_without check

%global modname signedjson

Name:           python-%{modname}
Version:        1.0.0
Release:        8%{?dist}
Summary:        Sign JSON with Ed25519 signatures

License:        ASL 2.0
URL:            https://github.com/matrix-org/python-signedjson
Source0:        %{url}/archive/v%{version}/%{modname}-%{version}.tar.gz

BuildArch:      noarch

%global _description \
Features:\
* More than one entity can sign the same object.\
* Each entity can sign the object with more than one key making it easier\
  to rotate keys\
* ED25519 can be replaced with a different algorithm.\
* Unprotected data can be added to the object under the "unsigned" key.

%description %{_description}

%package -n python2-%{modname}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{modname}}
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
%if %{with check}
BuildRequires:  python2-nose
BuildRequires:  python2-canonicaljson
BuildRequires:  python2-unpaddedbase64
BuildRequires:  python2-pynacl
%endif
Requires:       python2-canonicaljson
Requires:       python2-unpaddedbase64
Requires:       python2-pynacl

%description -n python2-%{modname} %{_description}

Python 2 version.

%package -n python3-%{modname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{modname}}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%if %{with check}
BuildRequires:  python3-nose
BuildRequires:  python3-canonicaljson
BuildRequires:  python3-unpaddedbase64
BuildRequires:  python3-pynacl
%endif
Requires:       python3-canonicaljson
Requires:       python3-unpaddedbase64
Requires:       python3-pynacl

%description -n python3-%{modname} %{_description}

Python 3 version.

%prep
%autosetup

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%if %{with check}
%check
nosetests-%{python2_version} -v
nosetests-%{python3_version} -v
%endif

%files -n python2-%{modname}
%license LICENSE
%doc README.rst
%{python2_sitelib}/%{modname}-*.egg-info/
%{python2_sitelib}/%{modname}/

%files -n python3-%{modname}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{modname}-*.egg-info/
%{python3_sitelib}/%{modname}/

%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 1.0.0-7
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Dec 28 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 1.0.0-3
- Fix typo in Requires

* Thu Dec 22 2016 Miro Hrončok <mhroncok@redhat.com> - 1.0.0-2
- Rebuild for Python 3.6

* Mon Dec 19 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 1.0.0-1
- Initial package
